CAS Server
  1. CAS Server
  2. CAS-1034

Update vt-crypt to 2.1.4 for Fixes Related to X.509 DN Parsing

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 3.4.9
    • Fix Version/s: 3.4.10
    • Component/s: X.509
    • Labels:
      None

      Description

      There is a bug in vt-crypt 2.1.3 used by CAS that affects DN parsing in the X509CertificateCredentialsToSubjectPrinciplalResolver component. Upgrade to 2.1.4 which contains a fix for this issue.

        Activity

        Hide
        Marvin S. Addison added a comment -

        The cas-server-support-x509 pom has been upgraded to 2.1.4 in r24646.

        Show
        Marvin S. Addison added a comment - The cas-server-support-x509 pom has been upgraded to 2.1.4 in r24646.
        Hide
        Marvin S. Addison added a comment -
        Show
        Marvin S. Addison added a comment - Link to issue in vt-crypt project: http://code.google.com/p/vt-middleware/issues/detail?id=119

          People

          • Assignee:
            Scott Battaglia
            Reporter:
            Marvin S. Addison
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: